Package org.apache.tools.ant.taskdefs.optional.net

# Class RExecTask.RExecRead

java.lang.Object
org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask
org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecRead

Enclosing class:
  RExecTask

    public class RExecTask.RExecRead
    extends RExecTask.RExecSubTask

Reads the output from the connected server until the required string is found or we time out.

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask

  `taskString`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `RExecRead()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `execute​(RExecTask.AntRExecClient rexec)` | Execute the read exec task.
  `void` | `setDefaultTimeout​(java.lang.Integer defaultTimeout)` | Sets the default timeout if none has been set already
  `void` | `setTimeout​(java.lang.Integer i)` | a timeout value that overrides any task wide timeout.

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.net.RExecTask.RExecSubTask

  `addText, setString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RExecRead

    public RExecRead()

- ## Method Details

  - ### execute

    public void execute​(RExecTask.AntRExecClient rexec) throws BuildException
    Execute the read exec task.
    Overrides:
      `execute` in class `RExecTask.RExecSubTask`
    Parameters:
      `rexec` - the task to use
    Throws:
      `BuildException` - on error

  - ### setTimeout

    public void setTimeout​(java.lang.Integer i)
    a timeout value that overrides any task wide timeout.
    Parameters:
      `i` - an `Integer` value

  - ### setDefaultTimeout

    public void setDefaultTimeout​(java.lang.Integer defaultTimeout)
    Sets the default timeout if none has been set already
    Parameters:
      `defaultTimeout` - an `Integer` value